<template>
  <nav :class="classes" data-testid="nav">
    <ul>
      <!-- @slot `nav-item` components go here -->
      <slot></slot>
    </ul>
  </nav>
</template>

<script>
import './SaNav.scss'

/** @requires ./SaNavItem.vue */
export default {
  name: 'SaNav',
  props: {
    /** @values row, stacked, tabs */
    type: {
      type: String,
      default: 'row'
    },
    /** @values small, regular, large */
    size: {
      type: String,
      default: 'regular'
    },
    /** Use light theme when on a dark background */
    light: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    classes() {
      return ['nav', this.type, this.size, { light: this.light }]
    }
  }
}
</script>
